2017-07-20 23:14 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003188FSSCPgraphicspublic2017-02-14 17:52
Reportermpkerrigan 
Assigned Tom_m 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.5 
Target VersionFixed in Version 
Summary0003188: Second suns disappearing
DescriptionIn any mission with multiple suns, suns other than the first one listed in FRED will disappear if you look in its direction. The sun will appear in the periphery as you're flying around, but will suddenly disappear if you point towards it.
Steps To ReproduceI noticed it on any mission in Antares in the FSport. I used FSPOrt sm1-03a.fs2 and sm3-01a.fs2 for quick tests (has the double Antares system, and Alpha Centauri).
Additional InformationIn running old nightlies, I get the correct behavior on build fs2_open_3_7_5_20160818_e9cc460_SSE2.

A couple builds after that don't start. The next working build displays the bugged behavior.
fs2_open_3_7_5_20160828_864e218_SSE2.

I'm running it on one of those Alienware Alpha Wii-sized desktop things, Windows 10 64 bit. Nvidia GPU, not sure of the exact card. I can look it up if needed.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016863

m_m (developer)

I found the issue and fixed it. PR is here: https://github.com/scp-fs2open/fs2open.github.com/pull/1229

~0016865

m_m (developer)

Fix has been merged.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-09 22:28 mpkerrigan New Issue
2017-02-14 09:28 m_m Assigned To => m_m
2017-02-14 09:28 m_m Status new => code review
2017-02-14 09:28 m_m Note Added: 0016863
2017-02-14 17:52 m_m Status code review => resolved
2017-02-14 17:52 m_m Resolution open => fixed
2017-02-14 17:52 m_m Note Added: 0016865
+Issue History